apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: 100m
  name: {{app_name}}-service-ingress
spec:
  rules:
  - host: {{host}}
    http:
      paths:
      - backend:
          serviceName: {{app_name}}-service
          servicePort: 80
        path: /
  tls:
    - secretName: {{tls_secret}}
